﻿using System.Collections.Generic;
using System.Text;
using ThinkGeo.MapSuite.Core;
using System.Collections.ObjectModel;
using System;
using System.Data;

namespace Sample
{
    class Program
    {
        static void Main(string[] args)
        {

            ShapeFileFeatureSource featuresource = new ShapeFileFeatureSource(@"../../data/pois.shp");
            //featuresource.Encoding = System.Text.Encoding.UTF8;
            featuresource.Open();
            DataTable result = featuresource.ExecuteQuery("select NAME from pois");
            int count = result.Rows.Count;
            foreach (DataRow item in result.Rows)
            {
                string name = item["name"].ToString();
                if (!string.IsNullOrEmpty(name))
                {
                    Console.WriteLine(name);
                }
            }
            Console.ReadLine();
        }
    }
}
